Bug 1467897 - fedpkg update throws my update text on error
Summary: fedpkg update throws my update text on error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedpkg
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: cqi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-05 12:45 UTC by Bastien Nocera
Modified: 2018-09-06 03:43 UTC (History)
6 users (show)

Fixed In Version: fedpkg-1.35-1.fc28 fedpkg-1.35-1.fc27 fedpkg-1.35-1.el7 fedpkg-1.35-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-30 04:54:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Bastien Nocera 2017-07-05 12:45:30 UTC
fedpkg-1.28-1.fc26.noarch

When running "fedpkg update", if I forget to put in the update type, make any syntax error through stray keyboard presses, make a typo in my password, or I somehow lost connectivity, all the data entered in the update text is thrown away.

Data loss, every time. Doesn't exactly make you want to type long explanatory texts when they could just be eaten away.

Comment 1 Fedora End Of Life 2018-05-03 08:03:38 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2018-05-29 11:22:14 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Bastien Nocera 2018-05-30 12:37:19 UTC
Pretty sure that's still a problem.

Comment 4 Bastien Nocera 2018-06-04 11:03:56 UTC
(In reply to Bastien Nocera from comment #3)
> Pretty sure that's still a problem.

It is still a very annoying problem.

Comment 5 cqi 2018-06-06 12:28:27 UTC
This is planned. Please refer to https://pagure.io/fedpkg/roadmap

Comment 6 cqi 2018-08-10 03:42:51 UTC
There is a new patch[1] to add command line options to update command. If you want to keep the details entered into the template without lost on error, it would be helpful to use the command line option instead.

[1] https://pagure.io/fedpkg/pull-request/267

Comment 7 Bastien Nocera 2018-08-10 11:32:07 UTC
(In reply to cqi from comment #6)
> There is a new patch[1] to add command line options to update command. If
> you want to keep the details entered into the template without lost on
> error, it would be helpful to use the command line option instead.
> 
> [1] https://pagure.io/fedpkg/pull-request/267

This really isn't what I asked for. The problem is that an incompletely filled in update text file will just be thrown away. Usually, I forget to put in the update type, and I lose all the text I tried to enter, with no way to get it back.

This new feature, while probably useful to some, does not fix my problem.

Comment 8 cqi 2018-08-10 12:22:56 UTC
Instead of entering notes in the template file and keeping it there on error, why not just pass notes via option directly, for example,

fedpkg update --type enhancement --notes "line 1
line 2
line 3
...
"

Even if there is something wrong, you don't lose anything and just repeat the fixed command again.

With command line options, you are able to repeat that command to create updates for different builds without entering the template editor and copy&paste notes again and again.

Does this make sense?

Comment 9 Bastien Nocera 2018-08-13 09:58:04 UTC
(In reply to cqi from comment #8)
> Does this make sense?

No, it's cumbersome, and doesn't fix my problem. I want to be able to fill in the update interactively, this doesn't fix it, and requires me filling in all the details ahead of time.

Alternatively, the fedpkg update could show an error on the command-line when the update file isn't filled in properly, and ask if we want to edit again. That would also solve my problem of the update text and bug numbers being thrown away on error.

Comment 10 cqi 2018-08-16 08:49:02 UTC
PR: https://pagure.io/fedpkg/pull-request/271

Comment 11 Fedora Update System 2018-08-22 07:52:14 UTC
fedpkg-1.35-1.el7 rpkg-1.56-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b9c5bded6e

Comment 12 Fedora Update System 2018-08-22 07:52:39 UTC
fedpkg-1.35-1.el6 rpkg-1.56-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-8d36e5f524

Comment 13 Fedora Update System 2018-08-22 07:53:02 UTC
fedpkg-1.35-1.fc27 rpkg-1.56-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4b83678c28

Comment 14 Fedora Update System 2018-08-22 07:53:26 UTC
fedpkg-1.35-1.fc28 rpkg-1.56-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ba8314548a

Comment 15 Fedora Update System 2018-08-22 10:01:09 UTC
fedpkg-1.35-1.fc27, rpkg-1.56-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4b83678c28

Comment 16 Fedora Update System 2018-08-22 11:03:05 UTC
fedpkg-1.35-1.el7, rpkg-1.56-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b9c5bded6e

Comment 17 Fedora Update System 2018-08-22 11:52:11 UTC
fedpkg-1.35-1.el6, rpkg-1.56-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-8d36e5f524

Comment 18 Fedora Update System 2018-08-22 11:58:12 UTC
fedpkg-1.35-1.fc28, rpkg-1.56-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ba8314548a

Comment 19 Fedora Update System 2018-08-30 04:54:14 UTC
fedpkg-1.35-1.fc28, rpkg-1.56-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-08-30 18:51:48 UTC
fedpkg-1.35-1.fc27, rpkg-1.56-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-09-06 01:00:56 UTC
fedpkg-1.35-1.el7, rpkg-1.56-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2018-09-06 03:43:48 UTC
fedpkg-1.35-1.el6, rpkg-1.56-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.